Skip to main content
GET
/
v1
/
transactional-groups
/
{transactionalGroupId}
Get a transactional group
curl --request GET \
  --url https://app.loops.so/api/v1/transactional-groups/{transactionalGroupId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://app.loops.so/api/v1/transactional-groups/{transactionalGroupId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://app.loops.so/api/v1/transactional-groups/{transactionalGroupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "clq3b7s9u006yl70p5q6r7s8t",
  "name": "Account emails",
  "description": "Password resets and verification emails",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:00:00.000Z"
}
{
  "message": "Transactional group not found."
}

Request

Path parameters

transactionalGroupId
string
required
The ID of the transactional group.

Response

Success

id
string
required
The transactional group ID.
name
string
required
The group name.
description
string
required
The group description.
createdAt
string
required
ISO 8601 timestamp for when the group was created.
updatedAt
string
required
ISO 8601 timestamp for when the group was last updated.

Error

A 400 Bad Request is returned if transactionalGroupId is invalid. A 404 Not Found is returned if the transactional group does not exist. If the API key is invalid (or content API is not enabled for your team), a 401 Unauthorized is returned.
message
string
required
An error message describing what went wrong.
{
  "id": "clq3b7s9u006yl70p5q6r7s8t",
  "name": "Account emails",
  "description": "Password resets and verification emails",
  "createdAt": "2026-03-28T15:00:00.000Z",
  "updatedAt": "2026-03-28T15:00:00.000Z"
}
{
  "message": "Transactional group not found."
}
Last modified on June 30, 2026